<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: pdts_Code8b10bPkg Package Body  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">pdts_Code8b10bPkg Package Body Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="class__pdts__Code8b10bPkg-members.html">List of all members.</a></p>
<b>Package &gt;&gt; </b><a class="el" href="classpdts__Code8b10bPkg.html">pdts_Code8b10bPkg</a><br/>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Procedures"></a>
Procedures</h2></td></tr>
 <tr class="memitem:aeb2d78468abbedc5f603adaefb27bc5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb2d78468abbedc5f603adaefb27bc5c"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__pdts__Code8b10bPkg.html#aeb2d78468abbedc5f603adaefb27bc5c">encode8b10b</a>( <br/>
<b><span class="vhdlchar"> </span><span class="vhdlchar">dataIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dataKIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dataOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
   )</td></tr>
<tr class="memitem:ad0bae0404ddf2e594d295ac88aa2b670"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0bae0404ddf2e594d295ac88aa2b670"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__pdts__Code8b10bPkg.html#ad0bae0404ddf2e594d295ac88aa2b670">decode8b10b</a>( <br/>
<b><span class="vhdlchar"> </span><span class="vhdlchar">dataIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dataOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dataKOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">codeErr: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispErr: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
   )</td></tr>
<tr class="memitem:aeb2d78468abbedc5f603adaefb27bc5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb2d78468abbedc5f603adaefb27bc5c"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__pdts__Code8b10bPkg.html#aeb2d78468abbedc5f603adaefb27bc5c">encode8b10b</a>( <br/>
<b><span class="vhdlchar"> </span><span class="vhdlchar">dataIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dataKIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dataOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
   )</td></tr>
<tr class="memitem:ad0bae0404ddf2e594d295ac88aa2b670"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0bae0404ddf2e594d295ac88aa2b670"></a>
<b><b><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="class__pdts__Code8b10bPkg.html#ad0bae0404ddf2e594d295ac88aa2b670">decode8b10b</a>( <br/>
<b><span class="vhdlchar"> </span><span class="vhdlchar">dataIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispIn: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dataOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">slv</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dataKOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispOut: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">codeErr: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
  <b><span class="vhdlchar"> </span><span class="vhdlchar">dispErr: </span><span class="stringliteral"></span> <b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span><span class="vhdlchar">sl</span><span class="vhdlchar"> </span></b></b><br/>
   )</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__code8b10bpkg_8vhd_source.html#l00070">70</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__code8b10bpkg_8vhd_source.html">pdts_code8b10bpkg.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__code8b10bpkg_8vhd_source.html">pdts_code8b10bpkg.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__code8b10bpkg_8vhd_source.html">pdts_code8b10bpkg.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:31 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
